using AyCode.Database.DbContexts;

namespace AyCode.Database.Tests
{
    public abstract class AcDatabaseTestBase<TDbContext> : AcDatabaseTestModelBase<TDbContext> where TDbContext : AcDbContextBase
    {
        [TestMethod]
        public virtual void DatabaseExistsTest()
        {
            var isConnected = Context.Database.CanConnect();
            Assert.IsTrue(isConnected);
        }
    }
}